; *****************************
; ** angelZware PB Tools Lib **
; ** ----------------------- **
; ** mediainfo_demo.pb      **
; ** V0.1 (2012/04/27)       **
; ** by Ronny Krger         **
; *****************************
; ** Licence: LGPL V3        **
; *****************************

EnableExplicit

CompilerSelect #PB_Compiler_OS 
  CompilerCase #PB_OS_Windows
    IncludePath "..\include\awpbtools"
  CompilerCase #PB_OS_Linux
    IncludePath "../include/awpbtools"
CompilerEndSelect

XIncludeFile "awmediainfo.pbi"

OpenConsole()

PrintN("AWPB-Tools MediaInfoLib-Demo")
PrintN("")

Define *mi.AWPB_MediaInfo, filename.s

Print("Opening libmediainfo.so / mediainfo.dll ... ")
If AWPB_InitMediainfo()
	PrintN("success")

	Print("Allocating MediaInfo-Object ... ")
	*mi = AWPB_CreateMediaInfoObj()
	If *mi
		PrintN("success")
		PrintN("Dateiname (mit absoluten oder relativen Pfad) eingeben: ")
		filename = Input()
	  Print("Opening " + filename + " ... ")
	  If *mi\Open(filename)
	  	PrintN("success")
	  	PrintN("FileSize: " + Str(*mi\GetFileSize()))	  	
	  	PrintN("Plain info: " +Chr(10)+ *mi\GetInfoBasePlain())
	  	
	  	PrintN("Press return to continue")
			Input()
			
			PrintN("XML info: " +Chr(10)+ *mi\GetInfoBaseXML())
	  	
	  	PrintN("Press return to continue")
			Input()
			
	  	PrintN("HTML info: " +Chr(10)+ *mi\GetInfoBaseHTML())
	  	
	  Else
	  	PrintN("failed")
		EndIf
	  *mi\Destroy()
	Else
	  PrintN("failed")
	EndIf
Else
	PrintN("failed")
EndIf

PrintN("Press return to exit")
Input()
